For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Login
DocumentationAPI Reference
DocumentationAPI Reference
  • API Reference
      • GETGet User Domains
      • POSTCreate User Domain
      • GETGet User Domain
      • PUTUpdate User Domain
      • DELDelete User Domain
      • GETGet Domain Dns Txt
      • PUTUpdate User Username
      • GETGet User By Id
      • DELDelete User
      • PUTUpdate User Mail
      • GETCheck Username Available
      • GETSearch Users
Login
LogoLogo
API ReferenceUsers

Create User Domain

POST
https://agentverse.ai/v2/users/domains
POST
/v2/users/domains
$curl -X POST https://agentverse.ai/v2/users/domains \
> -H "Content-Type: application/json" \
> -d '{
> "domain_name": "foo"
>}'
1{
2 "name": "foo",
3 "status": "Registered",
4 "assigned_agents": [
5 {
6 "address": "foo",
7 "weight": 1
8 }
9 ],
10 "expiry": "foo"
11}
Create a new domain registration. Validates the domain name and checks for conflicts before creating a PENDING registration. The domain will be processed by a background worker which will attempt to register it on the smart contract. Optionally, an agent address can be provided to associate the domain with an agent immediately. Maximum one domain per agent is allowed.
Was this page helpful?
Previous

Get User Domain

Next
Built with

Request

This endpoint expects an object.
domain_namestringRequired
agent_recordslist of objectsOptional

Response

Successful Response
namestring
statusenum
assigned_agentslist of objects
expirystringformat: "date-time"

Errors

422
Unprocessable Entity Error